<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:component> 
        <p:tabView>
            <p:tab title="Iniciar sesión:">
                <h:form  id="formIniciarSesion">
                    <p:messages id="msgs" />
                    <p:growl id="growl" showDetail="true" />
                    <h:panelGrid columns="4">
                        <h:outputLabel for="cedula" value="Cédula: *" />
                        <h:inputText id="cedula" value="#{loggin.cedula}" rendered="true" >
                            <f:validateLength minimum="1" />  
                            <f:validateRequired />  
                            <p:ajax update="msgCedula,growl" event="keyup"/>
                        </h:inputText>
                        <p:watermark for="cedula" value="1234" /> 
                        <p:message for="cedula" id="msgCedula" display="tooltip" />  
                        <h:outputLabel value="Contraseña: *" for="pass" />
                        <p:password id="pass" value="#{loggin.contrasena}"   required="true">
                            <f:validateLength minimum="3" />  
                            <f:validateRequired /> 
                            <p:ajax update="msgPass,growl" event="keyup" />
                        </p:password>
                        <p:watermark for="pass" value="1234" /> 
                        <p:message for="pass" id="msgPass" display="tooltip" />  

                    </h:panelGrid>
                    <p:commandButton value="Ingresar" action="#{loggin.comprobar()}" process="formIniciarSesion" update="msgs" />   

                </h:form>
            </p:tab>
            <p:tab title="Registrar" >
                <h:form>
                    <p:commandButton value="Registrar" onclick="PF('dlg').show();" type="button" />
                    <p:dialog header="Registrar" widgetVar="dlg" dynamic="true"  appendTo="@(body)">
                        <ui:include src="/web/usuarios/registro_usr.xhtml" rendered="#{!sessionBean.activa}" />
                    </p:dialog>
                </h:form>
            </p:tab>
           
        </p:tabView>                 
    </ui:component>
</html>
